Subject: bug#22546: Download-Page is "hiding" what the options actually are

From: Leo Famulari <[email-masked]>
Date: Mon, 15 Feb 2016 17:03:20 -0500

On Mon, Feb 15, 2016 at 11:54:35AM -0500, myglc2 wrote:
> [email-masked] (Ludovic Courtès) writes:
> 
> > Robin Vobruba <[email-masked]> skribis:
> >
> >> Being new to Guix, i went to the Download page:
> >> https://www.gnu.org/software/guix/download/
> >>
> >> immediately saw the 3 big options
> >> read their title/names
> >> was confused what the difference might be between "GuixSD" and "Guix Binary"
> >> could not find anything inside these 3 option's boxes that would help me
> >> read the text below them
> >> read the text above them
> >> finally understood that the first option is the OS, and the second is only
> >> the packag-manager
> >
> > I think I’ll have to disagree.  :-)
> >
> > For each option there’s a line right below the title saying what this
> > is.  I’m no expert in “information architecture” but I’m under the
> > impression that there’s little margin for improvement.
> 
> You are too close to Guix to appreciate this user's confusion.

This is an important point. It's hard to go back and re-inhabit the
beginner's mind. But new users do skim.

We have to decide what level of skimming we are willing to "support".
Sometimes I can tell on #guix that users have not even glanced at the
manual.